Bug 1410784 - golang-1.6.3-3.fc24 (and newer) is FTBFS due "nosplit stack overflow"
Summary: golang-1.6.3-3.fc24 (and newer) is FTBFS due "nosplit stack overflow"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 24
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-01-06 13:45 UTC by Dan Horák
Modified: 2017-01-29 00:49 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-29 00:49:36 UTC


Attachments (Terms of Use)

Description Dan Horák 2017-01-06 13:45:52 UTC
golang-1.6.3-3.fc24 (and newer) fails to build on both ppc64 and ppc64le due 

...
go/build
cmd/go
runtime.typedslicecopy: nosplit stack overflow
	592	assumed on entry to runtime.typedslicecopy (nosplit)
	432	after runtime.typedslicecopy (nosplit) uses 160
	352	after runtime.cgoCheckSliceCopy (nosplit) uses 80
	144	after runtime.cgoCheckTypedBlock (nosplit) uses 208
	72	after runtime.cgoCheckBits (nosplit) uses 72
	24	after runtime.cgoIsGoPointer (nosplit) uses 48
	-8	after runtime.inHeapOrStack (nosplit) uses 32
go tool dist: FAILED: /builddir/build/BUILD/go/pkg/tool/linux_ppc64le/link -o /builddir/build/BUILD/go/pkg/tool/linux_ppc64le/go_bootstrap /tmp/go-tool-dist-971988281/cmd/go/_go_.a: exit status 2
RPM build errors:
...

for full logs please eg. https://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3902379

Seems to coincide with http://pkgs.fedoraproject.org/cgit/rpms/golang.git/commit/?h=f24&id=7e3e63c06c2964ddda1a7c801798eeabe1762ac5

Version-Release number of selected component (if applicable):
golang-1.6.3-3.fc24

Comment 1 Jakub Čajka 2017-01-19 11:37:36 UTC
I have looked in to it and as fix I have made the patch(introduced in 	7e3e63c06c2964ddda1a7c801798eeabe1762ac5) not apply(as there are no significant benefits of it) on ppc64(le), as it slightly increases stack usage resulting in nosplit stack overflow there. Build on the way.

Comment 2 Fedora Update System 2017-01-20 13:26:14 UTC
golang-1.6.4-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-94fa02d028

Comment 3 Fedora Update System 2017-01-20 19:21:56 UTC
golang-1.6.4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-94fa02d028

Comment 4 Fedora Update System 2017-01-29 00:49:36 UTC
golang-1.6.4-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.